This service will be undergoing maintenance at 00:00 UTC, 2016-09-28. It is expected to last about 1 hours
Bug 194373 - Review Request: kdeedu: Educational/Edutainment applications
Review Request: kdeedu: Educational/Edutainment applications
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Aurelien Bompard
Fedora Package Reviews List
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-06-07 12:36 EDT by Rex Dieter
Modified: 2007-11-30 17:11 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-04-06 08:40:53 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
rdieter: fedora‑review+


Attachments (Terms of Use)

  None (edit)
Description Rex Dieter 2006-06-07 12:36:03 EDT
Spec URL: http://kde-redhat.unl.edu/apt/kde-redhat/SPECS/kdeedu.spec
SRPM URL: http://kde-redhat.unl.edu/apt/kde-redhat/all/SRPMS.testing/kdeedu-3.5.3-2.src.rpm
Description:
Educational/Edutainment applications, including:
* blinken: Simon Says Game
* kalzium: Periodic Table of Elements
* kanagram: Letter Order Game
* kbruch: Exercise Fractions
* keduca: Tests and Exams
* kgeography: Geography Trainer
* khangman: Hangman Game
* kig: Interactive Geometry
* kiten: Japanese Reference/Study Tool
* klatin: Latin Reviser
* klettres: French alphabet tutor
* kmplot: Mathematical Function Plotter
* kpercentage: Excersie Percentages
* kstars: Desktop Planetarium
* ktouch: Touch Typing Tutor
* kturtle: Logo Programming Environment
* kverbos: Study Spanish Verbforms
* kvoctrain: Vocabulary Trainer
* kwordquiz: Vocabulary Trainer

%changelog
* Wed Jun 07 2006 Rex Dieter <rexdieter[AT]users.sf.net> 3.5.3-2
- cleanup for Extras
- update %%description
- %%doc: COPYING, app docs (README, TODO, etc...)
- follow icon spec
- BR: desktop-file-utils
 
* Sat Jun 03 2006 Than Ngo <than@redhat.com> 3.5.3-1
- update to 3.5.3
Comment 1 Rex Dieter 2006-07-26 10:31:14 EDT
This has a good chance of making FE/fc6.
Comment 2 Rex Dieter 2006-07-26 11:22:29 EDT
If by "good chance", I really meant very little chance, then I was about right.
 (:  Let's play it safe and stick with fc7 target.
Comment 3 Chitlesh GOORAH 2006-08-23 14:24:45 EDT
I guess the new SRPM URL is
http://kde-redhat.unl.edu/apt/kde-redhat/all/SRPMS.stable/kdeedu-3.5.4-1.src.rpm :)
Comment 4 Rex Dieter 2006-08-23 14:43:57 EDT
Good guess!
Comment 5 Chitlesh GOORAH 2006-08-23 16:08:35 EDT
Rpmlint complains,

chitlesh(SPECS)[0]$rpmlint /home/chitlesh/rpmbuild/RPMS/i386/kdeedu-3.5.4-1.i386.rpm
E: kdeedu file-in-usr-marked-as-conffile /usr/share/config.kcfg/blinken.kcfg
W: kdeedu conffile-without-noreplace-flag /usr/share/config.kcfg/blinken.kcfg
E: kdeedu file-in-usr-marked-as-conffile /usr/share/config.kcfg/kalzium.kcfg
W: kdeedu conffile-without-noreplace-flag /usr/share/config.kcfg/kalzium.kcfg
E: kdeedu file-in-usr-marked-as-conffile /usr/share/config.kcfg/kanagram.kcfg
W: kdeedu conffile-without-noreplace-flag /usr/share/config.kcfg/kanagram.kcfg
E: kdeedu file-in-usr-marked-as-conffile /usr/share/config.kcfg/kbruch.kcfg
W: kdeedu conffile-without-noreplace-flag /usr/share/config.kcfg/kbruch.kcfg
E: kdeedu file-in-usr-marked-as-conffile /usr/share/config.kcfg/keduca.kcfg
W: kdeedu conffile-without-noreplace-flag /usr/share/config.kcfg/keduca.kcfg
E: kdeedu file-in-usr-marked-as-conffile /usr/share/config.kcfg/kgeography.kcfg
W: kdeedu conffile-without-noreplace-flag /usr/share/config.kcfg/kgeography.kcfg
E: kdeedu file-in-usr-marked-as-conffile /usr/share/config.kcfg/khangman.kcfg
W: kdeedu conffile-without-noreplace-flag /usr/share/config.kcfg/khangman.kcfg
E: kdeedu file-in-usr-marked-as-conffile /usr/share/config.kcfg/kiten.kcfg
W: kdeedu conffile-without-noreplace-flag /usr/share/config.kcfg/kiten.kcfg
E: kdeedu file-in-usr-marked-as-conffile /usr/share/config.kcfg/klatin.kcfg
W: kdeedu conffile-without-noreplace-flag /usr/share/config.kcfg/klatin.kcfg
E: kdeedu file-in-usr-marked-as-conffile /usr/share/config.kcfg/klettres.kcfg
W: kdeedu conffile-without-noreplace-flag /usr/share/config.kcfg/klettres.kcfg
E: kdeedu file-in-usr-marked-as-conffile /usr/share/config.kcfg/kmplot.kcfg
W: kdeedu conffile-without-noreplace-flag /usr/share/config.kcfg/kmplot.kcfg
E: kdeedu file-in-usr-marked-as-conffile /usr/share/config.kcfg/kstars.kcfg
W: kdeedu conffile-without-noreplace-flag /usr/share/config.kcfg/kstars.kcfg
E: kdeedu file-in-usr-marked-as-conffile /usr/share/config.kcfg/ktouch.kcfg
W: kdeedu conffile-without-noreplace-flag /usr/share/config.kcfg/ktouch.kcfg
E: kdeedu file-in-usr-marked-as-conffile /usr/share/config.kcfg/kturtle.kcfg
W: kdeedu conffile-without-noreplace-flag /usr/share/config.kcfg/kturtle.kcfg
E: kdeedu file-in-usr-marked-as-conffile /usr/share/config.kcfg/kverbos.kcfg
W: kdeedu conffile-without-noreplace-flag /usr/share/config.kcfg/kverbos.kcfg
E: kdeedu file-in-usr-marked-as-conffile /usr/share/config.kcfg/kvoctrain.kcfg
W: kdeedu conffile-without-noreplace-flag /usr/share/config.kcfg/kvoctrain.kcfg
E: kdeedu file-in-usr-marked-as-conffile /usr/share/config.kcfg/kwordquiz.kcfg
W: kdeedu conffile-without-noreplace-flag /usr/share/config.kcfg/kwordquiz.kcfg
E: kdeedu file-in-usr-marked-as-conffile
/usr/share/config.kcfg/languagesettings.kcfg
W: kdeedu conffile-without-noreplace-flag
/usr/share/config.kcfg/languagesettings.kcfg
E: kdeedu file-in-usr-marked-as-conffile /usr/share/config.kcfg/presettings.kcfg
W: kdeedu conffile-without-noreplace-flag /usr/share/config.kcfg/presettings.kcfg
E: kdeedu file-in-usr-marked-as-conffile /usr/share/config/khangmanrc
W: kdeedu conffile-without-noreplace-flag /usr/share/config/khangmanrc
E: kdeedu file-in-usr-marked-as-conffile /usr/share/config/klettresrc
W: kdeedu conffile-without-noreplace-flag /usr/share/config/klettresrc
E: kdeedu file-in-usr-marked-as-conffile /usr/share/config/kstarsrc
W: kdeedu conffile-without-noreplace-flag /usr/share/config/kstarsrc
E: kdeedu file-in-usr-marked-as-conffile /usr/share/config/kvoctrainrc
W: kdeedu conffile-without-noreplace-flag /usr/share/config/kvoctrainrc
E: kdeedu file-in-usr-marked-as-conffile /usr/share/config/kwordquizrc
W: kdeedu conffile-without-noreplace-flag /usr/share/config/kwordquizrc
E: kdeedu file-in-usr-marked-as-conffile /usr/share/config/magic/cabri.magic
W: kdeedu conffile-without-noreplace-flag /usr/share/config/magic/cabri.magic
E: kdeedu file-in-usr-marked-as-conffile /usr/share/config/magic/drgeo.magic
W: kdeedu conffile-without-noreplace-flag /usr/share/config/magic/drgeo.magic
W: kdeedu dangling-relative-symlink /usr/share/doc/HTML/en/kvoctrain/common
../common
W: kdeedu dangling-relative-symlink /usr/share/doc/HTML/en/klettres/common ../common
W: kdeedu dangling-relative-symlink /usr/share/doc/HTML/en/kmplot/common ../common
W: kdeedu dangling-relative-symlink /usr/share/doc/HTML/en/kstars/common ../common
W: kdeedu hidden-file-or-dir /usr/share/applnk/Edutainment/Mathematics/.directory
W: kdeedu dangling-relative-symlink /usr/share/doc/HTML/en/kbruch/common ../common
W: kdeedu dangling-relative-symlink /usr/share/doc/HTML/en/kig/common ../common
W: kdeedu dangling-relative-symlink /usr/share/doc/HTML/en/kanagram/common ../common
W: kdeedu dangling-relative-symlink /usr/share/doc/HTML/en/kwordquiz/common
../common
W: kdeedu dangling-relative-symlink /usr/share/doc/HTML/en/kiten/common ../common
W: kdeedu dangling-relative-symlink /usr/share/doc/HTML/en/kalzium/common ../common
W: kdeedu dangling-relative-symlink /usr/share/doc/HTML/en/kgeography/common
../common
W: kdeedu dangling-relative-symlink /usr/share/doc/HTML/en/kverbos/common ../common
W: kdeedu hidden-file-or-dir /usr/share/applnk/Edutainment/Tools/.directory
W: kdeedu hidden-file-or-dir /usr/share/applnk/Edutainment/Miscellaneous/.directory
W: kdeedu dangling-relative-symlink /usr/share/doc/HTML/en/keduca/common ../common
W: kdeedu dangling-relative-symlink /usr/share/doc/HTML/en/klatin/common ../common
W: kdeedu dangling-relative-symlink /usr/share/doc/HTML/en/kpercentage/common
../common
W: kdeedu hidden-file-or-dir /usr/share/applnk/Edutainment/Languages/.directory
W: kdeedu dangling-relative-symlink /usr/share/doc/HTML/en/khangman/common ../common
W: kdeedu hidden-file-or-dir /usr/share/applnk/Edutainment/Science/.directory
W: kdeedu non-executable-in-bin /usr/bin/pykig.pyo 0644
W: kdeedu non-executable-in-bin /usr/bin/pykig.pyc 0644
W: kdeedu dangling-relative-symlink /usr/share/doc/HTML/en/kturtle/common ../common
W: kdeedu dangling-relative-symlink /usr/share/doc/HTML/en/blinken/common ../common
W: kdeedu dangling-relative-symlink /usr/share/doc/HTML/en/ktouch/common ../common
Comment 6 Chitlesh GOORAH 2006-09-15 14:29:05 EDT
Ping ?
Comment 7 Rex Dieter 2006-09-15 14:46:02 EDT
ping what?  the mostly harmless rpmlint warnings? 
I guess one thing worth fixing is to omit
W: kdeedu non-executable-in-bin /usr/bin/pykig.pyo 0644
W: kdeedu non-executable-in-bin /usr/bin/pykig.pyc 0644
from packaging.
Comment 8 Aurelien Bompard 2006-11-01 01:02:06 EST
Review for release 1:
* RPM name is OK
* Source kdeedu-3.5.5.tar.bz2 is the same as upstream
* File lists look OK
* Works as expected

Needs work:
* rpmlint of kdeedu: invalid-desktopfile kiten.desktop
* Desktop file: the Categories tag should contain Application
  (wiki: PackagingGuidelines#desktop)

Notes:
* We decided to drop the X-Fedora category in desktop files, remeber to
  drop that for future releases
* I'm not sure you should omit the *.py? files from packaging, for the same
reason we don't %ghost the *.pyo files anymore.
Comment 9 Aurelien Bompard 2006-11-01 01:19:38 EST
Apparently, the entries appear in the menu even without the Application category
(I checked KDE and GNOME's menus). I can't remember why it was required at some
point, but the xml files in /etc/xdg/menus still reference
<Category>Application</Category>.
Any idea ?

If it's not required anymore, I'll just move this to FE-ACCEPT. The kiten
desktop file seems to have invalid UTF-8 on line 22 (which looks hebraic)
$ desktop-file-validate /usr/share/applications/kde/kiten.desktop
/usr/share/applications/kde/kiten.desktop: parse error: Error in section Desktop
Entry at line 22: Invalid escaping in value

I think it's more of a "fix it if you can" than a real "needs work".
Comment 10 Rex Dieter 2007-02-13 07:21:20 EST
> If it's not required anymore
nope. (:

Update (for posterity):
Spec URL: http://kde-redhat.unl.edu/apt/kde-redhat/SPECS/kdeedu.spec
SRPM URL:
http://kde-redhat.unl.edu/apt/kde-redhat/all/SRPMS.stable/kdeedu-3.5.6-1.src.rpm
Comment 11 Rex Dieter 2007-02-28 09:41:25 EST
> If it's not required anymore, I'll just move this to FE-ACCEPT

it's not, I'll take the liberty of adjusting status (feel free to change if you
feel otherwise).
Comment 12 Ngo Than 2007-03-06 09:24:07 EST
i have already merged the changes and comitted in CVS. Please take a look
at new package kdeedu-3_5_6-2_fc7 in rawhide.

Note You need to log in before you can comment on or make changes to this bug.